#include <bits/stdc++.h>
#define ll long long
using namespace std;
int main()
{
	ll N,L,k=-1;
	cin >> N >> L;
	
	ll H[N];
	for(int i=0;i<N;i++)
		{
			cin >> H[i];
				if(H[i]<=L)
				{
					cout << i+1;
					k++;
					break;	
				}
		}
if(k==-1) cout << -1;
	
	
 return 0;
}